Bug 1793424

Summary: libcomps fails to build in Fedora 32 (gcc 10?)
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: libcompsAssignee: amatej
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: high    
Version: 32CC: amatej, jakub, jluza, jmracek, mblaha, pkratoch, rpm-software-management
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://koschei.fedoraproject.org/package/libcomps
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-04 09:41:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1750908, 1785415, 1792464    

Description Miro Hrončok 2020-01-21 10:39:10 UTC
Description of problem:
Package libcomps fails to build from source in Fedora rawhide.

This started happening after gcc was updated to 10.

https://koschei.fedoraproject.org/build/7736824


This blocks the Python 3.9 rebuild.


Version-Release number of selected component (if applicable):
0.1.14-1.fc32

Steps to Reproduce:
koji build --scratch f32 libcomps-0.1.14-1.fc32.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/libcomps

Comment 1 Jakub Jelinek 2020-01-21 11:06:38 UTC
See https://gcc.gnu.org/gcc-10/porting_to.html#common

Comment 2 amatej 2020-01-29 09:09:06 UTC
Thanks for the hint Jakub.

I created a PR: https://github.com/rpm-software-management/libcomps/pull/67

I ran a successful scratch build https://koji.fedoraproject.org/koji/taskinfo?taskID=41188138 with my changes.

Comment 3 Ben Cotton 2020-02-11 17:22:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.